--- chan_dahdi.c.orig	2010-05-30 22:33:11.000000000 +0000
+++ chan_dahdi.c	2010-05-30 22:34:21.000000000 +0000
@@ -6954,6 +6954,14 @@
 				goto return_from_bridge;
 			}
 		}
+		if (f->frametype == AST_FRAME_VIDEO ||
+		    f->frametype == AST_FRAME_VOICE) {
+			if (who == c0) {
+				ast_write(c1, f);
+			} else if (who == c1) {
+				ast_write(c0, f);
+			}
+		}
 		ast_frfree(f);
 
 		/* Swap who gets priority */
